﻿<Graph ClassName="EPFleetCardDetailMaint" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.EP;

namespace FleetCard
{
	public class EPFleetCardDetailMaint : PXGraph<EPFleetCardDetailMaint, EPFleetCard>
	{
        public PXSelect<EPFleetCard> FleetCards;
        public PXSelect<
            EPFleetCard, 
            Where<EPFleetCard.fleetCardCD, Equal<Current<EPFleetCard.fleetCardCD>>>> 
            CurrentFleetCard;
        public PXSelect<
            EPFleetTruck, 
            Where<EPFleetTruck.fleetCardID, Equal<Current<EPFleetCard.fleetCardCD>>>> 
            Trucks;

        public void EPFleetTruck_RowDeleting(PXCache cache, PXRowDeletingEventArgs e)
        {
            var row = (EPFleetTruck)e.Row;
            if (row == null) return;

            EPExpenseClaimDetails expClaim = PXSelect<
                EPExpenseClaimDetails, 
                Where<EPExpenseClaimDetailsExtFC.usrTruckID, Equal<Required<EPExpenseClaimDetailsExtFC.usrTruckID>>>>
                .Select(this, row.TruckID);

            if (expClaim != null)
                throw new PXException("Cannot delete truck. It was used in Expense Receipt #" + expClaim.ClaimDetailCD);
        }
	}
}]]></CDATA>
</Graph>